# Module api_json_monitor

- Description
- Function Index
- Function Details

JSON API for accessing monitoring data.

Copyright © 2012 Zuse Institute Berlin

Version: $Id$

Authors: Florian Schintke (`schintke@zib.de`).

## Description

JSON API for accessing monitoring data.

## Function Index

get_node_info/0 |
get_node_performance/0 |
get_service_info/0 |
get_service_performance/0 |
handler/2 |

## Function Details

### handler/2

    handler(AnyOp :: atom(), AnyParams :: list()) -> any()

### get_node_info/0

    get_node_info() -> {struct, [{Key :: atom(), Value :: term()}]}

### get_node_performance/0

    get_node_performance() ->
                            {struct,
                             [{Key :: atom(), Value :: term()}]}

### get_service_info/0

    get_service_info() -> {struct, [{Key :: atom(), Value :: term()}]}

### get_service_performance/0

    get_service_performance() ->
                               {struct,
                                [{Key :: atom(), Value :: term()}]}

Generated by EDoc, Feb 29 2016, 16:12:13.